{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/menu/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/menu/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/menu/menu.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Меню</h2>
        <p>Редактирование главного меню сайта</p>
    </div>
    <div class="submenu-block">
        <ul>
            <li>
                <a href="{{ path('admin_menu_add') }}">Добавить</a>
            </li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div>
        <table class="table table-striped table-bordered table-hover table-menu">
            <thead>
            <tr>
                <th style="width: 5%">ID</th>
                <th style="width: 30%">Название</th>
                <th style="width: 20%">Url</th>
                <th style="width: 10%">Icon</th>
                <th style="width: 10%">Level</th>
                <th style="width: 5%">Order</th>
                <th style="width: 10%">Действие</th>
            </tr>
            </thead>
            <tbody>
            {% for item in frontMenu %}
                <tr>
                    <td style="text-align: center">{{ item.id }}</td>
                    <td><a href="{{ path('admin_menu_edit', {'id': item.id}) }}">{{ item.name }}</a></td>
                    <td><a href="{{ item.url }}" target="_blank">{{ item.link }}</a></td>
                    <td><i class="{{ item.icon }}"></i></td>
                    <td>{{ item.level }}</td>
                    <td><input type="text" style="text-align: center; width: 70px" value="{{ item.order }}" class="item-order-test" name="order" data-menu-item-id="{{ item.id }}"/></td>
                    <td style="text-align: center">
                        <a href="{{ path('admin_menu_edit', {'id': item.id}) }}"><span class="i-edit"><i class="fas fa-pencil-alt"></i></span></a>
                        <a href="" class="btn-delete-menu-item" data-menu-item-id="{{ item.id }}"><span class="i-delete"><i class="fas fa-trash-alt"></i></span></a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <div class="block-box" style="border: none;">
            <div class="block-footer">
                <a href="" class="btn-action btn-save btn-save-order"><i class="fas fa-check"></i> Сохранить</a>
            </div>
        </div>
    </div>
{% endblock %}